Bug 1156086 - Review Request: openmx - Open source package for Material eXplorer
Summary: Review Request: openmx - Open source package for Material eXplorer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1154994
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-23 14:21 UTC by marcindulak
Modified: 2016-04-15 09:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 07:57:42 UTC
puntogil: fedora-review+


Attachments (Terms of Use)
diff.txt (1.51 MB, text/plain)
2015-11-08 16:27 UTC, gil cattaneo
no flags Details

Description marcindulak 2014-10-23 14:21:57 UTC
Spec URL: https://marcindulak.fedorapeople.org/packages/openmx/openmx.spec
SRPM URL: https://marcindulak.fedorapeople.org/packages/openmx/openmx-3.7.8-1.fc21.src.rpm
Description: OpenMX (Open source package for Material eXplorer) is a software package for nano-scale material simulations based on density functional theories (DFT), norm-conserving pseudopotentials, and pseudo-atomic localized basis functions.
Fedora Account System Username: marcindulak

Comment 1 Upstream Release Monitoring 2015-11-07 10:43:03 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11739384

Comment 2 Upstream Release Monitoring 2015-11-07 10:45:39 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11739394

Comment 3 Upstream Release Monitoring 2015-11-07 10:45:53 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for el6-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11739423

Comment 4 Upstream Release Monitoring 2015-11-07 10:45:57 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11739405

Comment 5 Upstream Release Monitoring 2015-11-07 10:51:44 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for el6-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11739493

Comment 6 Upstream Release Monitoring 2015-11-08 09:58:52 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11750243

Comment 8 gil cattaneo 2015-11-08 14:45:23 UTC
can you take tis for me https://bugzilla.redhat.com/show_bug.cgi?id=995438 ?

Comment 9 gil cattaneo 2015-11-08 16:24:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/gil/1156086-openmx/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[!]: Package contains no static executables.
 openmx3.7/source/liberi-091216/source/sbt/linear/eri_linfsbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/sbt/log/eri_fsbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/sbt/log/eri_logfsbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/sbt/eri_sbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_gtbl_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_interpolate_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_ll_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_sf_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/test/test/test_pp
 
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1086 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1156086-openmx/licensecheck.txt
  All source files are without license headers. Please, inform upstream to confirm the licensing of code and/or content/s
  and ask to add license headers in those files where is missing
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
[!]: License file installed when any subpackage combination is installed.
  Please, inform upstream to add license and copyright notice in source directory structure.
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
[?]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[?]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in openmx-
     openmpi , openmx-mpich , openmx-data , openmx-common , openmx-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/gil/1156086-openmx/results/openmx-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-openmpi-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-mpich-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-data-3.7.10-1.fc24.noarch.rpm /home/gil/1156086-openmx/results/openmx-common-3.7.10-1.fc24.noarch.rpm /home/gil/1156086-openmx/results/openmx-debuginfo-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-debuginfo-3.7.10-1.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/gil/1156086-openmx/results/openmx-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-openmpi-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-mpich-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-data-3.7.10-1.fc24.noarch.rpm /home/gil/1156086-openmx/results/openmx-common-3.7.10-1.fc24.noarch.rpm /home/gil/1156086-openmx/results/openmx-debuginfo-3.7.10-1.fc24.i686.rpm /home/gil/1156086-openmx/results/openmx-debuginfo-3.7.10-1.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: openmx-3.7.10-1.fc24.i686.rpm
          openmx-openmpi-3.7.10-1.fc24.i686.rpm
          openmx-mpich-3.7.10-1.fc24.i686.rpm
          openmx-data-3.7.10-1.fc24.noarch.rpm
          openmx-common-3.7.10-1.fc24.noarch.rpm
          openmx-debuginfo-3.7.10-1.fc24.i686.rpm
          openmx-3.7.10-1.fc24.src.rpm
openmx.i686: W: spelling-error Summary(en_US) eXplorer -> explorer, explore, explorers
openmx.i686: W: spelling-error %description -l en_US eXplorer -> explorer, explore, explorers
openmx.i686: W: spelling-error %description -l en_US nano -> anon, Kano, Nona
openmx.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
openmx.i686: E: no-binary
openmx.i686: W: no-documentation
openmx-openmpi.i686: W: summary-not-capitalized C openmx - openmpi version
openmx-openmpi.i686: W: spelling-error %description -l en_US eXplorer -> explorer, explore, explorers
openmx-openmpi.i686: W: spelling-error %description -l en_US nano -> anon, Kano, Nona
openmx-openmpi.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
openmx-openmpi.i686: W: no-documentation
openmx-mpich.i686: W: summary-not-capitalized C openmx - mpich version
openmx-mpich.i686: W: spelling-error %description -l en_US eXplorer -> explorer, explore, explorers
openmx-mpich.i686: W: spelling-error %description -l en_US nano -> anon, Kano, Nona
openmx-mpich.i686: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
openmx-mpich.i686: W: no-documentation
openmx-data.noarch: W: summary-not-capitalized C openmx - data files
openmx-data.noarch: W: spelling-error %description -l en_US eXplorer -> explorer, explore, explorers
openmx-data.noarch: W: spelling-error %description -l en_US nano -> anon, Kano, Nona
openmx-data.noarch: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
openmx-data.noarch: W: no-documentation
openmx-common.noarch: W: summary-not-capitalized C openmx - common files
openmx-common.noarch: W: spelling-error %description -l en_US eXplorer -> explorer, explore, explorers
openmx-common.noarch: W: spelling-error %description -l en_US nano -> anon, Kano, Nona
openmx-common.noarch: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
openmx-common.noarch: W: no-documentation
openmx.src: W: spelling-error Summary(en_US) eXplorer -> explorer, explore, explorers
openmx.src: W: spelling-error %description -l en_US eXplorer -> explorer, explore, explorers
openmx.src: W: spelling-error %description -l en_US nano -> anon, Kano, Nona
openmx.src: W: spelling-error %description -l en_US pseudopotentials -> pseudo potentials, pseudo-potentials, potentials
openmx.src: W: strange-permission solve_evp_real.f90.solve_tridi.patch 600
openmx.src: W: strange-permission solve_evp_complex.f90.solve_tridi.patch 600
openmx.src:128: W: mixed-use-of-spaces-and-tabs (spaces: line 128, tab: line 40)
7 packages and 0 specfiles checked; 1 errors, 32 warnings.




Requires
--------
openmx-openmpi (rpmlib, GLIBC filtered):
    libc.so.6
    libelpa.so.3(openmpi-i386)
    libfftw3.so.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.3.1)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libgomp.so.1
    libgomp.so.1(GOMP_1.0)
    libgomp.so.1(GOMP_4.0)
    libgomp.so.1(OMP_1.0)
    libgomp.so.1(OMP_2.0)
    libm.so.6
    libmpi.so.12(openmpi-i386)
    libmpi_mpifh.so.12(openmpi-i386)
    libmpi_usempif08.so.11(openmpi-i386)
    libopenblas.so.0
    libpthread.so.0
    openmx-data
    rtld(GNU_HASH)

openmx-common (rpmlib, GLIBC filtered):

openmx-mpich (rpmlib, GLIBC filtered):
    libc.so.6
    libelpa.so.3(mpich-i386)
    libfftw3.so.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.3.1)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libgomp.so.1
    libgomp.so.1(GOMP_1.0)
    libgomp.so.1(GOMP_4.0)
    libgomp.so.1(OMP_1.0)
    libgomp.so.1(OMP_2.0)
    libm.so.6
    libmpi.so.12(mpich-i386)
    libmpifort.so.12(mpich-i386)
    libopenblas.so.0
    libpthread.so.0
    openmx-data
    rtld(GNU_HASH)

openmx-data (rpmlib, GLIBC filtered):
    openmx-common

openmx (rpmlib, GLIBC filtered):
    openmx-data
    openssh-clients

openmx-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
openmx-openmpi:
    openmx-openmpi
    openmx-openmpi(x86-32)

openmx-common:
    openmx-common

openmx-mpich:
    openmx-mpich
    openmx-mpich(x86-32)

openmx-data:
    openmx-data

openmx:
    openmx
    openmx(x86-32)

openmx-debuginfo:
    openmx-debuginfo
    openmx-debuginfo(x86-32)



Source checksums
----------------
http://www.openmx-square.org/openmx3.7.tar.gz :
  CHECKSUM(SHA256) this package     : 24329cd1fbad98d6cb99b04e4d988b0715e2ce3156f79e4855c46f93a0c981f9
  CHECKSUM(SHA256) upstream package : 4e3490007e7acbfdd29d32008c8fdec7e678a448cfd74aad13bce2dc5e9fc622
http://www.openmx-square.org/bugfixed/15Feb21/patch3.7.10.tar.gz :
  CHECKSUM(SHA256) this package     : dce84baeb56f9f0eee036d2d79825bb8ee25a0cf8cfbcf1719ad34630c5a8c12
  CHECKSUM(SHA256) upstream package : dce84baeb56f9f0eee036d2d79825bb8ee25a0cf8cfbcf1719ad34630c5a8c12
diff -r also reports differences


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1156086 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 gil cattaneo 2015-11-08 16:27:55 UTC
Created attachment 1091301 [details]
diff.txt

Comment 11 gil cattaneo 2015-11-09 04:19:08 UTC
Issues:

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/gil/1156086-openmx/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1086 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1156086-openmx/licensecheck.txt

All source files are without license headers. Please, inform upstream to confirm the licensing of code and/or content/s
and ask to add license headers in those files where is missing
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

[!]: License file installed when any subpackage combination is installed.

Please, inform upstream to add license and copyright notice in source directory structure. https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
.
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in openmx-
     openmpi , openmx-mpich , openmx-data , openmx-common , openmx-
     debuginfo

[!]: Package does not include license text files separate from upstream.

[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

Comment 12 gil cattaneo 2015-11-09 14:43:12 UTC
Other issues:
[!]: Package contains no static executables.
 openmx3.7/source/liberi-091216/source/sbt/linear/eri_linfsbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/sbt/log/eri_fsbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/sbt/log/eri_logfsbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/sbt/eri_sbt_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_gtbl_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_interpolate_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_ll_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/source/eri_sf_ipa6_openmx.oo
 openmx3.7/source/liberi-091216/test/test/test_pp

Comment 13 Upstream Release Monitoring 2015-11-11 16:42:33 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for el6-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11795210

Comment 14 Upstream Release Monitoring 2015-11-11 16:44:53 UTC
marcindulak's scratch build of openmx-3.7.10-1.el7.centos.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11795197

Comment 15 gil cattaneo 2015-11-11 18:23:01 UTC
can you upload the new spec file and src rpm?

Comment 16 marcindulak 2015-11-12 14:55:47 UTC
I don't know why some of my scratch builds end up listed here.
Those are not the same ones as the next version below:

Spec URL: https://marcindulak.fedorapeople.org/packages/openmx/r02/openmx.spec
SRPM URL: https://marcindulak.fedorapeople.org/packages/openmx/r02/openmx-3.7.10-1.el7.centos.src.rpm

Addressed issues:

1. I believe the problem with diff may be due to fedora-review itself (or something else).
Two local fedora-review (fedora-review-0.6.0-2.fc23.noarch) runs reported
once Bi10.0.pao and Xe11.0.pao the second time to differ.  Both times the problematic
file seems to be truncated, and the truncation happens in the upstream-unpacked
folder, which should correspond to the extracted tarball. Checking the contents of the
source tarball present in the fedora-review's directory shows there is no mismatch:

[openmx@localhost ~]$ ls -al openmx/srpm-unpacked/openmx3.7.tar.gz
-rw-r--r--. 1 openmx mock 117784869 Nov 11 08:47 openmx/srpm-unpacked/openmx3.7.tar.gz
[openmx@localhost ~]$ tar tvf openmx/srpm-unpacked/openmx3.7.tar.gz | grep Xe11
-rw-rw-rw- ozaki/ozaki  684404 2013-04-29 03:11 openmx3.7/DFT_DATA13/PAO/Xe11.0.pao

Compare this to fedora-review reported diff::

[openmx@localhost ~]$ ls -al /home/openmx/openmx/upstream-unpacked/Source0/openmx3.7/DFT_DATA13/PAO/Xe11.0.pao /home/openmx/openmx/srpm-unpacked/openmx3.7.tar.gz-extract/openmx3.7/DFT_DATA13/PAO/Xe11.0.pao
-rw-r--r--. 1 openmx mock 684404 Apr 29  2013 /home/openmx/openmx/srpm-unpacked/openmx3.7.tar.gz-extract/openmx3.7/DFT_DATA13/PAO/Xe11.0.pao
-rw-r--r--. 1 openmx mock 572416 Nov 11 09:16 /home/openmx/openmx/upstream-unpacked/Source0/openmx3.7/DFT_DATA13/PAO/Xe11.0.pao

This is weird, maybe you can figure out more.

2. I believe the licensing of the package is OK, and reported a missing license
file to upstream http://www.openmx-square.org/forum/patio.cgi?mode=view&no=1747

3. LICENSE and COPYING files are now installed with every subpackage due to license presence in openmx-common and openmx-data. Other subpackages Require openmx-common.

4. openmx-common and openmx-data are noarch so no %{name}%{?_isa} = %{version}-%{release} is used

6. I have included a link to upstream post that justifies the included patches.

7. liberi-091216/.../*oo and test_pp files removed

8. I believe the package does not install under fedora-review due to to fact it tries to install openmx-debuginfo twice. I don't know why this happens.

Comment 17 gil cattaneo 2015-11-12 15:02:53 UTC
Thanks!
Now, seem all ok! Approved.

Comment 18 Gwyn Ciesla 2015-11-13 21:14:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/openmx

Comment 19 Fedora Update System 2015-11-17 17:43:26 UTC
openmx-3.7.10-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e7438f1bc

Comment 20 Fedora Update System 2015-11-17 17:44:12 UTC
openmx-3.7.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-29c6fb01ce

Comment 21 Fedora Update System 2015-11-17 17:44:58 UTC
openmx-3.7.10-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9835855cd4

Comment 22 Fedora Update System 2015-11-17 17:45:40 UTC
openmx-3.7.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-90554f27d9

Comment 23 Fedora Update System 2015-11-19 14:52:42 UTC
openmx-3.7.10-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openmx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1e7438f1bc

Comment 24 Fedora Update System 2015-11-19 15:27:46 UTC
openmx-3.7.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openmx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-29c6fb01ce

Comment 25 Fedora Update System 2015-11-19 16:56:16 UTC
openmx-3.7.10-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update openmx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-29c6fb01ce

Comment 26 Fedora Update System 2015-11-19 23:19:19 UTC
openmx-3.7.10-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update openmx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9835855cd4

Comment 27 Fedora Update System 2015-11-19 23:49:52 UTC
openmx-3.7.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update openmx'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-90554f27d9

Comment 28 Fedora Update System 2015-12-06 01:24:10 UTC
openmx-3.7.10-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-12-06 03:19:54 UTC
openmx-3.7.10-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2015-12-06 07:24:00 UTC
openmx-3.7.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2015-12-06 07:56:03 UTC
openmx-3.7.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Dominik 'Rathann' Mierzejewski 2016-04-15 09:11:46 UTC
Two things were not caught in this review:
1. Bundled library liberi : source/liberi-091216. Original upstream seems to be here: http://cpc.cs.qub.ac.uk/summaries/AEGG_v1_0.html and the license is non-free: http://cpc.cs.qub.ac.uk/licence/licence.html
[...] No user or site will re-distribute the source code or executable code to a third party in original or modified form without the written permission of the author.
[...]
This licence does not permit any commercial (profit-making or proprietary) use or re-licensing or re-distributions. Persons interested in for-profit use should contact the author.
2. The build process is very complicated and I'd argue it doesn't meet the "spec file MUST be legible" standard.


Note You need to log in before you can comment on or make changes to this bug.